#!/bin/sh

unset STEREO_TMlib_Client_Home
unset STEREO_Server
unset CLASSPATH

mydir=$(echo $0 | sed -e "s,^\([^/]\),$(pwd)/\1,")
mydir="`dirname ${mydir}`"

logprops="${mydir}/lib/logging.properties"
jnilibdir="${mydir}/lib"
war="${mydir}/webapps/tmhelp-1.0.war"
jar="${mydir}/tmwebserver-1.0.jar"
jetty_debug_flag=

if [ "${VM_DEBUG_VAR}X" != "X" ]; then
    jetty_debug_flag="-DDEBUG"
fi

java ${jetty_debug_flag} \
     -Djava.library.path="${jnilibdir}" \
     -Dedu.umn.space.swaves.cwd="${mydir}" \
     -Dedu.umn.space.swaves.warpath="${war}" \
     -Djava.util.logging.config.file=${logprops} \
     ${VM_DEBUG_VAR} \
     -jar "${jar}" &

exit 0
